#include "../include/date.h"

Date::Date(std::chrono::system_clock::time_point tp) {
    this->tp = tp;
}

Date Date::now() {
    return Date(std::chrono::system_clock::now());
}

std::string Date::to_string() const {
    auto now_c = std::chrono::system_clock::to_time_t(tp);
    std::tm* now_tm = std::localtime(&now_c);

    std::ostringstream oss;
    oss << std::put_time(now_tm, "%Y-%m-%d %H:%M:%S");
    return oss.str();
}
